roadworkerのバッチ処理を別サーバに移行した時にエラーにハマったのでメモ このバッチ処理は複数のAWSアカウントに対応するため「--profile」を使用している その辺りでエラーがでているようす

環境

  • OS:Ubuntu 14.04.1 LTS

対応

roadworkerのバージョンを比較すると前の環境では、roadworker (0.5.4)、新環境ではroadworker (0.5.5)だったので、合わせてみたらエラーが解消された

gem uninstall roadworker -v 0.5.5
gem install roadworker -v 0.5.4

gemバージョンの確認方法

これは便利

gem list